Package org.eclipse.mat.internal.collectionextract

## Class IBM6ArrayListCollectionExtractor

- java.lang.Object
- - org.eclipse.mat.internal.collectionextract.FieldArrayCollectionExtractor
  - - org.eclipse.mat.internal.collectionextract.IBM6ArrayListCollectionExtractor

All Implemented Interfaces:
  `ICollectionExtractor`

    public class IBM6ArrayListCollectionExtractor
    extends FieldArrayCollectionExtractor

### Constructor Summary

Constructors
`IBM6ArrayListCollectionExtractor​(java.lang.String firstIndex, java.lang.String lastIndex, java.lang.String arrayField)`
`IBM6ArrayListCollectionExtractor​(java.lang.String firstIndex, java.lang.String lastIndex, java.lang.String arrayField, java.lang.String sizeField)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int[]` `extractEntryIds​(IObject coll)` Returns the object ids (int) for all objects which are contained in the collection
`java.lang.Integer` `getSize​(IObject coll)` Extract the size of the collection.
`boolean` `hasSize()` Check if the size of the collection can be extracted.

### Methods inherited from class org.eclipse.mat.internal.collectionextract.FieldArrayCollectionExtractor

`extractEntries, getCapacity, getFillRatio, getNumberOfNotNullElements, hasCapacity, hasExtractableArray, hasExtractableContents, hasFillRatio`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IBM6ArrayListCollectionExtractor

    public IBM6ArrayListCollectionExtractor​(java.lang.String firstIndex,
                                            java.lang.String lastIndex,
                                            java.lang.String arrayField)

#### IBM6ArrayListCollectionExtractor

    public IBM6ArrayListCollectionExtractor​(java.lang.String firstIndex,
                                            java.lang.String lastIndex,
                                            java.lang.String arrayField,
                                            java.lang.String sizeField)

### Method Detail

#### hasSize

    public boolean hasSize()

Description copied from interface: `ICollectionExtractor`
Check if the size of the collection can be extracted.

Specified by:
  `hasSize` in interface `ICollectionExtractor`
Overrides:
  `hasSize` in class `FieldArrayCollectionExtractor`
Returns:
  true if `ICollectionExtractor.getSize(IObject)` could be called
See Also:
  `ICollectionExtractor.getSize(IObject)`

#### getSize

    public java.lang.Integer getSize​(IObject coll)
                              throws SnapshotException

Description copied from interface: `ICollectionExtractor`
Extract the size of the collection.

Specified by:
  `getSize` in interface `ICollectionExtractor`
Overrides:
  `getSize` in class `FieldArrayCollectionExtractor`
Parameters:
  `coll` - - the collection to find the size of
Returns:
  the size, or null if not available
Throws:
  `SnapshotException` - if there is a problem retrieving data from the snapshot
See Also:
  `ICollectionExtractor.hasSize()`

#### extractEntryIds

    public int[] extractEntryIds​(IObject coll)
                          throws SnapshotException

Description copied from interface: `ICollectionExtractor`
Returns the object ids (int) for all objects which are contained in the collection

Specified by:
  `extractEntryIds` in interface `ICollectionExtractor`
Overrides:
  `extractEntryIds` in class `FieldArrayCollectionExtractor`
Parameters:
  `coll` - - the collection to find the objects it holds
Returns:
  an array of ints which are the object ids.
Throws:
  `SnapshotException` - if there is a problem retrieving data from the snapshot
See Also:
  `ICollectionExtractor.hasExtractableContents()`